Category: Data Provider

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 10364
Description

See

http://www.codeplex.com/Wiki/View.aspx?ProjectName=MsSqlSpatial

History

#1 - 2008-07-14 03:10 AM - Tim Sutton

Changed to enhancement priority as major should be used for implemented features which are broken. I'm going to flag this for attention of Godofredo who
is working on a generic sql access layer via gdal. Is [[MsSqglSpatial]] supported via gdal? Please advise.

Thanks

Tim

#2 - 2008-07-14 03:11 AM - Tim Sutton

I'm also setting this for milestone 2.0.0 pending feedback.

#3 - 2008-09-01 07:17 PM - frdcn -

Gdal/ogr does not have a driver for mssqlspatial but mssqlspatial databases can be read using ogr odbc driver

#4 - 2010-03-21 03:13 PM - Paolo Cavallini

It seems that [[MySQL]] spatial extension is not widely used, not very actively developed: http://dev.mysql.com/doc/refman/5.0/en/spatial-extensions.html

It is possible that spatial information can however be read through OGR: http://www.gdal.org/ogr/drv_mysgl.html

| would suggest to close this ticket.

#5 - 2010-11-15 06:01 PM - Volker Frohlich

| also misread in the first place: It's about MS-SQL, not [[MySQL]]:

http://www.gdal.org/ogr/drv_mssqlspatial.ntml

#6 - 2011-03-05 03:06 AM - Paolo Cavallini
- Status changed from Open to Closed

2025-04-27 12



http://www.codeplex.com/Wiki/View.aspx?ProjectName=MsSqlSpatial
http://dev.mysql.com/doc/refman/5.0/en/spatial-extensions.html
http://www.gdal.org/ogr/drv_mysql.html
http://www.gdal.org/ogr/drv_mssqlspatial.html

- Resolution set to upstream

I think this should be solved within GDAL/OGR, | do not see a point in writing a db provider for this. Please reopen if I'm wrong.

#7 - 2011-03-07 05:39 AM - Giovanni Manghi

http://szekerest.blogspot.com/2010/09/o0gr-ms-sql-2008-spatial-driver.html
